Retrieve second factor configuration

Retrieves the second factor authentication configuration for the Tenant.

GET
/v2/manage/2fa/config

Retrieves the second factor authentication configuration for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/2fa/config"
{
  "IsSecondFactorAuthenticatorEnabled": true,
  "IsRequired": true,
  "IsAuthenticatorEnabled": true,
  "IsEmailOtpAuthenticatorEnabled": true,
  "IsSmsOtpAuthenticatorEnabled": true,
  "IsSecurityQuestionAsMFAEnabled": true,
  "MinimumSecurityQuestionsToAsk": 0,
  "IsPushAuthenticatorEnabled": true,
  "IsDuoAuthenticatorEnabled": true,
  "IsPasskeyMFAEnabled": true
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}